org.apache.ode.bpel.compiler.bom

## Class Query

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.Expression
    - - org.apache.ode.bpel.compiler.bom.Query

- All Implemented Interfaces:
    SourceLocation

      public class Query
      extends Expression

  A Query is nothing more than an expression with the expression-language in the "queryLanguage" attribute rather than the "expressionLanguage" attribute.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpressionLanguage()` Get the expression language for this expression.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.Expression

      `getExpression`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getExpressionLanguage

          public java.lang.String getExpressionLanguage()

      Description copied from class: `Expression`
      Get the expression language for this expression.
      Overrides:
        `getExpressionLanguage` in class `Expression`
      Returns:
        expression langauge URI or `null` if none specified